const $ = require("jquery");
const {get, post, config, getUrlArgObject, openNewWin, titleConfig} = require('./promise.js');
const targetUrl = 'http://114.55.109.16:81/lantone/index';
$(function () {
    let mrId = getUrlArgObject('mrId')
    $(".knowledge .a-link").click(function () {
        const code = $(this).attr("code");
        openNewWin(targetUrl + '?page=' + code, true);
    })
    $("#goPush").on("click", function () {
        openNewWin(targetUrl + '?page=bztd', true);
    });
});

function getTcmMr(mrId, num) {
    post('/sys/mr/getTcmMr', {mrId: mrId}).then((res) => {
        //console.log(res)
        let data = res.data.data || {}
        const {tcmdisease, tcmsyndrome} = data;
        if (res.data.code === '0') {
            getTcmData({tcmDiag: (tcmdisease || {}).uniqueName, tcmSyndrome: (tcmsyndrome || {}).uniqueName}, num)
        } else {

        }
    })
}

//获取处方推荐
function getTcmData(param, num) {
    $(".recipe").show();
    const {tcmDiag, tcmSyndrome} = param;
    $("#jibing").text(tcmDiag + "-" + tcmSyndrome);
    $('#bingming').text(tcmDiag);
    $('#zhenghou').text(tcmSyndrome);
    $("#goTreat").on("click", function () {
        openNewWin(targetUrl + '?jibing=' + tcmDiag + "&zhengxing=" + tcmSyndrome, true);
    });
    //处方推荐
    get('/lantone/private/zycftj?jibing=' + tcmDiag + "&zhengxing=" + tcmSyndrome).then((res) => {
        //console.log(res)
        let data = res.data.data || []
        if (res.data.status) {
            renderTcm(data, num)
        } else {

        }
    })
    //治法推荐-暂时不用
    /*get('/lantone/private/zhongyizx?type=1&code=' + tcmDiag + '&value=' + tcmSyndrome).then((res) => {
        console.log(res)
        let data = res.data.data || {}
        if (res.data.status) {
            //renderTcm(data)
        } else {

        }
    })*/
}

function renderTcm(data, num = 3) {
    let str = ``, it;
    $("#goTreat").hide();
    console.log(num)
    const n = num < data.length ? num : data.length;
    for (let i = 0; i < n; i++) {
        it = data[i];
        str += `<li class="clearfix"><div class="label">处方${i + 1}：</div>
                    <div class="val">
                    <p class="name">${it.name}</p>
                    <p class="desc" title="${it.effect}">${it.effect}</p>
                </div></li>`;
    }

    if (data.length > num) {
        if ($("#goTreat").length) {       //竖版不增加更多按钮，显示即可
            str += ``;
            $("#goTreat").show();
        } else {
            str += `<a class="go go-push" id="goTreat">更多 <img class="icon" src="./images/go.png" alt=""></a>`;
            $("#goTreat").show();
        }
    }
    $('.detail ul').html(str);
    //更多治法
    $("#goTreat").on('click', function () {
        openNewWin(targetUrl, true);
    });
}

module.exports = {
    getTcmMr
}